Subject: Re: What's cooking in git.git (Jul 2025, #07; Thu, 24)

From: Junio C Hamano <[email-masked]>
Date: Sat, 26 Jul 2025 10:45:18 -0700

Usman Akinyemi <[email-masked]> writes:

> On Thu, Jul 24, 2025 at 10:48 PM Junio C Hamano <[email-masked]> wrote:
>>
>...

Administrivia.  NEVER QUOTE SO MANY LINES from the original if your
response has nothing to say about them.  Remove the part you are not
commenting on and leave only the relevant parts that you are about
to respond, and then say your thing.

>> * ua/t1517-short-help-tests (2025-07-21) 2 commits
>>  . t5200: move `update-server-info -h` test from t1517
>>  . t/t1517: automate `git subcmd -h` tests outside a repository
>>
>>  Test shuffling.
>>
>>  Seems to introduce a few "todo passed" when merged to 'seen'.
> Hi Junio,
>
> Is there something that needs to be done here ?
>
> Also, some tests still have both the `git subcmd -h` test outside and
> inside together
> and the first patch of this series already tests for all the outside repo.
>
> Should I send them as an update version with this patch or wait till
> this gets integrated ?

As I wrote, with this merged to 'seen', we see "todo passed" in the
test result.  You'd want to dig to the root cause of the issue and
update the patches if needed.

> Thank you
>
>>  source: <[email-masked]>
>>
>>

Also do not leave the original that you are not going to refer to
after you finish saying what you wanted to say.

>> * kn/for-each-ref-skip (2025-07-23) 6 commits
>>  - ref-iterator-seek: correctly initialize the prefix_state for a new level
>>... 

Thanks.